typedef struct {
  uint32_t magic;
  char wifiSsid[32];
  char wifiKey[64];
  char mqttBroker[64];
  char mqttUser[32];
  char mqttPass[32];
  char mqttClientId[32];
  uint32_t mqttPort;
  char mqttTopic[64];
  char mqttDebugTopic[64];
  char mqttBaselineTopic[64];
  uint32_t debugMode;
  uint32_t period;
  uint32_t calibrationTimeout;
  uint32_t threshold;
} tConfigBlock;

extern const uint32_t MAGIC;
extern tConfigBlock configBlock;

void configServeIndex();
void configServeGetConfiguration();
void showConfiguration();